package com.fdkankan.platform.common;

public enum DownloadStatusEnum {
    DOWNLOADING(1000, "文件正在下载"),
    DOWNLOAD_COMPRESSING(1001, "文件正在压缩"),
    DOWNLOAD_SUCCESS(1002, "文件压缩成功/下载处理成功"),
    DOWNLOAD_FAILED(1003, "下载处理失败");

    public static final int DOWNLOADING_CODE = 1000;
    public static final int DOWNLOAD_COMPRESSING_CODE = 1001;
    public static final int DOWNLOAD_SUCCESS_CODE = 1002;
    public static final int DOWNLOAD_FAILED_CODE = 1003;

    private int status;
    private String desc;

    DownloadStatusEnum(int status, String desc) {
        this.status = status;
        this.desc = desc;
    }
}
